## Index

### Modules

- shims

### Classes

- AccordionModel
- AccordionView
- BoolModel
- BoundedFloatModel
- BoundedIntModel
- BoxModel
- BoxView
- ButtonModel
- ButtonPWidget
- ButtonView
- CheckboxModel
- CheckboxView
- ColorPickerModel
- ColorPickerView
- ControllerAxisModel
- ControllerAxisView
- ControllerButtonModel
- ControllerButtonView
- ControllerModel
- ControllerView
- DOMWidgetModel
- DOMWidgetView
- DirectionalLinkModel
- DropdownModel
- DropdownView
- EmbedManager
- FloatModel
- FloatSliderModel
- FloatSliderView
- FloatTextModel
- FloatTextView
- HTMLModel
- HTMLView
- ImageModel
- ImagePWidget
- ImageView
- IntModel
- IntSliderModel
- IntSliderView
- IntTextModel
- IntTextView
- JupyterPhosphorPanelWidget
- JupyterPhosphorWidget
- LabelModel
- LabelView
- LayoutModel
- LayoutView
- LinkModel
- ManagerBase
- MultipleSelectionModel
- NativeView
- PlaceProxyModel
- PlaceProxyView
- PlayModel
- PlayView
- ProgressModel
- ProgressView
- ProxyModel
- ProxyView
- RadioButtonsModel
- RadioButtonsView
- SelectModel
- SelectMultipleModel
- SelectMultipleView
- SelectView
- SelectionContainerModel
- SelectionModel
- SelectionSliderModel
- SelectionSliderView
- StringModel
- TabModel
- TabView
- TextModel
- TextView
- TextareaModel
- TextareaView
- ToggleButtonModel
- ToggleButtonView
- ToggleButtonsModel
- ToggleButtonsView
- ValidModel
- ValidView
- ViewList
- WidgetModel
- WidgetView
- WrappedError

### Interfaces

- ModelOptions
- StateOptions

### Variables

- $
- version

### Functions

- escape_html
- generateEmbedScript
- loadClass
- reject
- renderInlineWidgets
- resolvePromisesDict
- typeset
- unpack_models
- uuid

## Variables

### $

$: any

- Defined in jquery.ts:8

### version

version: any = (require('../package.json') as any).version

- Defined in index.ts:29

## Functions

### escape_html

- escape_html(text: string): string

- - Defined in utils.ts:167

  escape text to HTML

  #### Parameters

  - ##### text: string

  #### Returns string

### generateEmbedScript

- generateEmbedScript(widgetState: any, imageDataUrl: any): string

- - Defined in embed-helper.ts:5

  #### Parameters

  - ##### widgetState: any

  - ##### imageDataUrl: any

  #### Returns string

### loadClass

- loadClass(class_name: any, module_name: any, registry: any, require_error: any): Promise<any>

- - Defined in utils.ts:59

  Tries to load a class

  Tries to load a class from a module using require.js, if a module is specified, otherwise tries to load a class from the global registry, if the global registry is provided.

  The optional require_error argument is a function that takes the success handler and returns a requirejs error handler, which may call the success handler with a fallback module.

  #### Parameters

  - ##### class_name: any

  - ##### module_name: any

  - ##### registry: any

  - ##### require_error: any

  #### Returns Promise<any>

### reject

- reject(message: any, log: any): promiseRejection

- - Defined in utils.ts:133

  Creates a wrappable Promise rejection function.

  Creates a function that returns a Promise.reject with a new WrappedError that has the provided message and wraps the original error that caused the promise to reject.

  #### Parameters

  - ##### message: any

  - ##### log: any

  #### Returns promiseRejection

### renderInlineWidgets

- renderInlineWidgets(event: any): void

- - Defined in embed-webpack.ts:49

  #### Parameters

  - ##### event: any

  #### Returns void

### resolvePromisesDict

- resolvePromisesDict(d: any): Promise<any>

- - Defined in utils.ts:110

  Resolve a promiseful dictionary. Returns a single Promise.

  #### Parameters

  - ##### d: any

  #### Returns Promise<any>

### typeset

- typeset(element: HTMLElement, text: string): void

- - Defined in utils.ts:153

  Apply MathJax rendering to an element, and optionally set its text.

  If MathJax is not available, make no changes.

  ## Parameters

  element: Node text: optional string

  #### Parameters

  - ##### element: HTMLElement

  - ##### text: string

  #### Returns void

### unpack_models

- unpack_models(value: any, manager: any): any

- - Defined in widget.ts:22

  Replace model ids with models recursively.

  #### Parameters

  - ##### value: any

  - ##### manager: any

  #### Returns any

### uuid

- uuid(): string

- - Defined in utils.ts:11

  http://www.ietf.org/rfc/rfc4122.txt

  #### Returns string

Generated using TypeDoc